Update project details
curl --request PATCH \
--url https://api.basic.tech/project/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "<string>",
"slug": "<string>",
"website": "<string>",
"profile": {}
}
}
'import requests
url = "https://api.basic.tech/project/{id}"
payload = { "data": {
"name": "<string>",
"slug": "<string>",
"website": "<string>",
"profile": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {name: '<string>', slug: '<string>', website: '<string>', profile: {}}})
};
fetch('https://api.basic.tech/project/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"website": "<string>",
"profile": {},
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Projects
Update project details
Updates the details of a specific project. Only provided fields will be updated.
PATCH
/
project
/
{id}
Update project details
Authorizations
bearerAuthapiKeyAuth
JWT Authorization Token header using the Bearer scheme
Path Parameters
Unique identifier of the project
Body
application/json
Show child attributes
Show child attributes
Response
Project updated successfully
Project updated successfully
Show child attributes
Show child attributes
⌘I

